﻿namespace Connected.Classes.FormWizard;
public class FormWizardOptions
{
	public bool DisableNavigationOnFinish { get; set; } = false;
	public string NextButtonText { get; set; } = "Next";
	public string PreviousButtonText { get; set; } = "Previous";
	public string FinishButtonText { get; set; } = "Finish";

	public string CancelButtonText { get; set; } = "Cancel";

	public FormWizardOptions(
		bool DisableNavigationOnFinish=false, 
		string NextButtonText = "Next", 
		string PreviousButtonText = "Previous", 
		string FinishButtonText="Finish", 
		string CancelButtonText="Cancel")
	{
		this.DisableNavigationOnFinish = DisableNavigationOnFinish;
		this.NextButtonText = NextButtonText;
		this.PreviousButtonText = PreviousButtonText;
		this.FinishButtonText = FinishButtonText;
		this.CancelButtonText = CancelButtonText;
	}

	public FormWizardOptions(FormWizardOptions options)
	{
		DisableNavigationOnFinish = options.DisableNavigationOnFinish;
		NextButtonText = options.NextButtonText;
		PreviousButtonText = options.PreviousButtonText;
		FinishButtonText = options.FinishButtonText;
		CancelButtonText = options.CancelButtonText;
	}
}
